aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/live.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/live.sh b/tests/live.sh
new file mode 100755
index 0000000..06cbfbf
--- /dev/null
+++ b/tests/live.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e -u -o pipefail
+
+export FATCAT=./target/debug/fatcat-cli
+
+$FATCAT search releases "metadata author:phillips" > /dev/null
+
+$FATCAT get doi:10.1002/spe.659 > /dev/null
+
+$FATCAT search releases journal:"first monday" --entity-json --expand files | $FATCAT batch --limit 1 download > /dev/null